SCREEN Thief

                    The Ultimate Screen Capture System

                      Copyright 1993 Nildram Software

                            All Rights Reserved

                 SCREEN Thief was written by Jim Hoggarth



Address:        Nildram Software
                82 Akeman Street
                Tring
                Herts  HP23 6AF
                United Kingdom

Telephone:      +44 (0)442 891331

Fax:            +44 (0)442 890303

Email:          76004.3436@compuserve.com
                nildram@compulink.co.uk

CIS:            GO UKSHARE, Section 10

FidoNet:        2:254/330 (Address messages to ADRIAN MARDLIN)

BBS:            +44 (0)442 891109/890807

             SCREEN Thief is a trademark of Nildram Software.

All trademarks and registered trademarks mentioned in this
document are acknowledged.

                               INTRODUCTION


Overview

SCREEN Thief has been designed to solve a range of problems and
annoyances found with other screen grabbing programs. Many
examples exist, often bundled with a graphic manipulation tool
or paint package but sometimes marketed separately. We reckon
that SCREEN Thief succeeds where the rest fail.

Specific problems that have been solved include loss of colour
attribute information and corrupt palettes plus the awareness of
graphic adapter effects such as horizontal and vertical pixel
panning and split screens. SCREEN Thief easily copes with
non-standard video modes employed by games, such as 320 by 240
pixels in 256 colours. It also takes programmed soft fonts into
full consideration when capturing text mode screens. Indeed, we
believe that whatever the standard VGA graphic adapter is
capable of displaying, SCREEN Thief can capture.

This sophisticated 'total solution' also extends to the hot-key
used to trigger a screen capture. Many programs, particularly
games, prevent capture with lesser grabbing packages because
they steal the keyboard interrupt vector and refuse to pass
interrupts back to previously installed programs. Solutions to
this problem have so far included delayed-action grabbing, which
is inaccurate to say the least and also fails where a program
steals the system timer interrupt used for counting out the
delay period.

SCREEN Thief gets around this major problem by secretly
reprogramming the interrupt hardware to a different set of
vectors. When a program steals the keyboard or timer interrupt
it no longer gets first pick, but a fake hardware interrupt
generated by SCREEN Thief's resident code. This technique works
in all but a few rare instances. Another implication is that,
with some restrictions, screens can also be captured under
Microsoft Windows even though SCREEN Thief is a DOS-hosted
program.

One further positive feature is that SCREEN Thief creates output
files in any of several common image formats (GIF, TIF, PCX or
BMP) rather than through a proprietary interim file which
requires a second conversion stage before use. When combined
with a host of other configurable options, intelligent image
file naming and an extensive internal help system, you can see
that SCREEN Thief is the ultimate screen capture package for the
professional user.

Finally, through absolute use of machine code and clever memory
optimisations, you will find SCREEN Thief to be one of the most
compact Terminate and Stay Resident (TSR) programs you ever
load. It can use EMS memory, Upper Memory Blocks provided by an
XMS/UMB driver or similar and normal system memory to maximum
effect. Typical system memory use amounts to just over 2K. Even
when loaded on a PC with no EMS or UMB memory, requirements can
be as low as 9.1K.

System Requirements

SCREEN Thief has a number of important minimum hardware and
software requirements. A VGA graphics adapter, on-board VGA
controller or register-level compatible is essential. SCREEN
Thief cannot work with the MDA, Hercules, CGA or EGA adapters
even though it will successfully capture their equivalent video
modes on the VGA. The host PC needs to be an 80286 or better
based IBM AT or close compatible. A hard disk is not essential
but highly recommended. Finally, MSDOS version 3.10 or higher is
essential.

Support

Full lifetime support is provided to all registered users of
SCREEN Thief direct from Nildram Software. Check the front of
this manual for contact details. You will also be notified of
all major upgrades, and offered them at a special reduced price.
Make sure you return your registration card if you didn't
purchase SCREEN Thief direct from Nildram Software, or you won't
be eligible for support, and we won't be able to tell you about
any upgrades.

Disclaimer

Users of SCREEN Thief must accept this disclaimer of warranty:

"SCREEN Thief is supplied as is. The author disclaims all
warranties, expressed or implied, including, without limitation,
the warranties of merchantability and of fitness for any
purpose. The author assumes no liability for damages, direct or
consequential, which may result from the use of SCREEN Thief."

The ASP

This program is produced by a member of the Association of
Shareware Professionals (ASP). ASP wants to make sure that the
shareware principle works for you. If you are unable to resolve
a shareware-related problem with an ASP member by contacting the
member directly, ASP may be able to help. The ASP Ombudsman can
help you resolve a dispute or problem with an ASP member, but
does not provide technical support for members' products. Please
write to the ASP Ombudsman at 545 Grover Road, Muskegon, MI
49442, USA or send a Compuserve message via Compuserve mail to
ASP Ombudsman 70007,3536.

                              GETTING STARTED


Installation

To install SCREEN Thief, insert the disk supplied into a drive
and then select that drive by typing "A:" or "B:" as appropriate
followed by <ENTER>. Next, type "INSTALL", press <ENTER> and
follow the on-screen instructions. You will be asked for a
destination drive and path for SCREEN Thief which default to
"C:" and "\ST" respectively. Change these if necessary, although
it will be easier to stay with the defaults as they will be used
in the various examples.

Running SCREEN Thief

To run SCREEN Thief with the default settings, change to the
"\ST" directory and simply type "ST". SCREEN Thief will then be
installed and you can run whatever program you need to grab a
screen from. To actually grab a screen, press the <CTRL>, <ALT>
and <T> keys together and you will hear a clicking noise from
your PC speaker as SCREEN Thief is working. The image file
produced will be in colour GIF format and given a name
consisting of the first 6 letters of the name of the program
currently being run followed by a number, eg, "FILENA01.GIF".
This file will be saved to the current directory but you can
specify a different directory when you run SCREEN Thief as
follows:

ST C:\CAPTURE

This will save all captured image files to the "C:\CAPTURE"
directory.

The Command Line

All of SCREEN Thief's operational characteristics are controlled
by command line parameters, mostly switches. Once installed, all
changes to the way SCREEN Thief operates can only be made via
the command line. All the various command line parameters are
covered in detail in the Reference Section of this manual, but
the more commonly used ones will be covered here. These
parameters are:

/OUTPUT Sets the Output Image File Format to either GIF, TIFF,
PCX or BMP. The default setting is GIF and the syntax of this
switch is /O:TIFF.

/MONO   Enables and disables Mono Translation, ie, producing a
black and white image. The default setting is disabled and the
syntax of this switch is /M+ to enable and /M- to disable.

/UNLOAD Removes SCREEN Thief from memory. This is the only way
to correctly remove SCREEN Thief from memory; do not use
programs such as MARK and RELEASE. The syntax of this switch is
/U.

Example

To use SCREEN Thief to capture screens and output them in mono
PCX format to a directory called C:\PICTURES, type the following:

ST C:\PICTURES /M+ /O:PCX

Once SCREEN Thief is loaded in this way, you could then, for
example, change the output file format by typing the following
from the \ST Directory:

ST /O:GIF

Each time you make a change, the SCREEN Thief window will pop up
showing the new setup.

The SCREENTHIEF Environment Variable

If you regularly use a particular setup for SCREEN Thief that is
not the same as the default setup, you can avoid having to type
all the command line switches each time, as in the example
above, by using an environment variable. This is a string
containing the required command line parameters that is placed
in the AUTOEXEC.BAT file using the DOS SET command as in the
example below:

SET SCREENTHIEF=C:\PICTURES /M+ /O:PCX

This will then use these parameters every time SCREEN Thief is
run, overriding the defaults so that you only need to type "ST"
to access your most used setup. The command line parameters will
override the environment variable so you can still run SCREEN
Thief differently as necessary.

The Help System

SCREEN Thief has an extensive help system that may be used in
one of two ways. Firstly, if an error occurs, the help system
will be automatically started, the error message displayed and
the correct subject highlighted. Simply press the right-arrow
key to expand the help screen for further information. Please
note that not all errors will produce this automatic help; some,
such as "Directory Non Existent" that are self-explanatory, just
bring up an error message and quit the program.

Secondly, the help system may be started without actually
loading SCREEN Thief, by typing "ST /?" from the "\ST"
directory. You will see the SCREEN Thief window on the screen at
this point containing a list of help subjects. Select the
subject you require using the up-arrow and down-arrow keys and
then press the right-arrow key to expand the help screen. Where
applicable, use the up-arrow and down-arrow or the page-up and
page-down keys to view the text in the expanded help screen. The
left-arrow key will return you to the list of help subjects.

System Crashes

If SCREEN Thief crashes your machine when run, or when you attempt
to grab a screen, you should first suspect the base interrupt
vector setting (see /INTERRUPT for more details). This is by far
the most likely cause of a system crash, and you can work around
it by specifying a different base interrupt vector by using the
/INTERRUPT command line switch.

The second most likely cause of a system crash is if a program
interferes with SCREEN Thief's buffers. To work around this
problem, use the /BUFFERS switch to force SCREEN Thief to use
a specific area of memory for its buffer storage.

                                 REFERENCE


Output Image File Naming

SCREEN Thief attempts to intelligently name the Output Image
File by extracting the executable name of the underlying
program, from which the first six characters are taken. To this
is added a two digit number from 01 through to 99. The extension
used depends on the output format, such as GIF, BMP etc. The
directory into which the image is saved depends on the path name
given at the command line when SCREEN Thief was installed.

However, if SCREEN Thief detects that you are at the command
line prompt, the file name SCREEN is used.  SCREEN Thief always
fills any gaps, creating SCREEN01.* first even when SCREEN02.*
and so on exist. If you capture screens under Windows (other
than in a DOS box under 386 Enhanced Mode), the file will be
named WIN with the same two digit number added to give WIN01.*,
WIN02.* and so on.

The only exception is where Numeric Naming is enabled with the
/NUMERIC switch. All Image files are then named from 00000001.*
through to 99999999.*.

Use Under Microsoft Windows

SCREEN Thief will successfully work under MS Windows even though
it is a DOS-hosted application, with certain exceptions. Windows
versions prior to 3.0 are not supported, nor is Real Mode. The
two distinct Standard and 386 Enhanced modes are also handled
quite differently.

In order to capture the complete screen (including active menus,
the cursor etc.), you must run Windows in Standard Mode with the
WIN /S command. The same capture hot-key works as before,
although you may wish to choose a hot-key which does not
conflict with any Windows application accelerater keys. Also be
cautious about Super VGA cards which are supplied with Windows
drivers but which SCREEN Thief does not yet support in high
resolution modes. One further restriction is that no changes can
be made to SCREEN Thief from the command line (through DOSPRMPT)
that require major changes to the SCREEN Thief video, control
and output encoder buffers. An error will be shown if this is
the case.

If you attempt to run Windows in 386 Enhanced Mode with SCREEN
Thief resident, a message will appear after the Windows logo
asking you to use the /S switch or to remove SCREEN Thief from
memory. Once up and running in 386 Mode, SCREEN Thief can be run
again from within a DOS box. However, the capture hot-key is
only active when the DOS window has focus, and then only the
contents of the window are captured. It is handled as a virtual
Standard VGA adapter and extended modes when the DOS box is full
screen are not fully supported.

Interpreting The Audio Signals

When capturing a screen, SCREEN Thief lets you know about its
progress by means of a series of clicks over the speaker. It
follows these with a single high-pitched tone to indicate that
it has successfully completed the capture. An error is indicated
by a series of two tones, the first one higher than the second.

SuperVGA Adapter Support

Although SCREEN Thief is primarily designed for use with the
standard VGA graphics card, continual development means that
support for certain SuperVGA (SVGA) cards is already present in
this version.

In any case, SCREEN Thief should be able to capture all but the
odd few extended text mode screens provided by the majority of
SVGA cards, such as 132 columns by 25, 30, 43 or 60 rows. The
only occasions where this will fail are where a text mode
character cell is other than the standard eight or nine pixels
wide. Nildram Software are already aware that some cards use
character cells seven or ten pixels wide. Support for these
modes may be available in a future version, although this is not
a priority task.

Specific graphics mode support for extended SVGA systems
includes the Trident family of video adapters (the most popular
of which use the TVGA8900 and TVGA9000 chip sets), and Paradise
and Western Digital cards which use the PVGA1A chip. These SVGA
adapters have been tested extensively over a wide range of
supporting software, native video modes and even product
specific video drivers such as for Microsoft Windows.

Although we cannot guarantee a successful screen capture every
time on these SVGA cards, users with these named products or
graphic cards which use the same chip sets should find that even
the highest resolution screens can be captured perfectly.
On-going development will undoubtedly add many more popular SVGA
card types to this list.


                           COMMAND LINE SWITCHES


Syntax Rules

All command line switches must follow the same format. Both the
usual '/' and UNIX-style '-' switch characters are recognised,
although the first is preferred under DOS. The '-' character may
also confuse those switches which take an optional plus or minus
sign to enable or disable features.

This is followed by the switch name in lower or upper case or a
combination of both. The full switch may be given or a shortened
version. The absolute minimum is enough characters to uniquely
distinguish each switch. The present design of SCREEN Thief is
such that only the first character of each switch name is
required in all instances. For example, /EGAFONTS, /EGA and /E
are all equivalent.

Where a switch requires a numeric, character or string value,
the switch name and this additional parameter value must be
separated by a colon character (:) or optionally the equals
character (=). As with the switch names, any string parameter
need only be so long as to be recognisable, as in /VIDEO:TRID
for the Trident video adapter driver.

Where a switch takes a plus/minus sign for enabling/disabling a
feature, no colon (:) or equals (=) separator is required. If
the switch name alone is given, or followed by the optional plus
(+) sign, the feature is enabled. Disabling the feature requires
the same switch name followed by a minus sign (-). No white
space is allowed between the name and the plus/minus.

Any complete switch sequence must then be followed by either a
space, end of line or another switch character. It can be seen
that the following are all equivalent. It is left to the user to
choose their particular style preference:

/INT:A0
-i=A0
/INTERRUPT=a0
-Inter:a0


Switch Summary

/BUFFERS:string         Select the Control Buffer Area
/COREDUMP[+|-]          Dump the Control Core to File
/EGAFONTS[+|-]          Use EGA Fonts for Text Mode Captures
/INTERRUPT:hex          Select the PIC Interrupt Base
/KEY:char|hex           Set the Screen Capture Hot-Key
/LZW:num                Choose the LZW Compression Level
/MONO[+|-]              Mono Translate for Text Mode Captures
/NUMERIC[+|-]           Select Numeric Output Image File Naming
/OUTPUT:string          Specify the Output Image File Format
/REGISTER               Register the TEST DRIVE version
/SHIFTS:string          Set the Screen Capture Hot-Key Shifts
/UNLOAD                 Unload SCREEN Thief from Memory
/VIDEO:string           Override the VGA Chip Set
/WIDTH:num              Set the Maximum Screen Capture Width
/?                      Display the Help Screens

Default Settings

Running SCREEN Thief without any command line or environment
options results in the following default settings:

Buffers                 All searched
Core Dump               OFF
EGA Fonts               OFF
Hot Key                 <ALT><CONTROL><T>
Interrupt Base          D8 hex
LZW Compress Level      4
Mono Translate          OFF
Numeric Naming          OFF
Output Format           GIF
Output Directory        Current
Max Width               1,188 pixels


/BUFFERS

Syntax:         /BUFFERS:string

This switch defines the memory area used to store the SCREEN
Thief video driver, output image encoder and control buffers. It
accepts the string values UMB, EMS, HIGH and LOW. These
correspond to the following memory areas:

UMB     Upper Memory Blocks as provided by HIMEM.SYS plus EMM386.EXE
or an equivalent UMB provider such as UMB_DRV.SYS. SCREEN Thief
does not use protected mode memory above the 1MB limit, only the
Upper Memory Blocks made available between 640K and 1MB.

EMS     Memory pages provided by a hardware or software EMS 3.20+
driver.

HIGH    Normal DOS memory allocated at the end of the DOS control
block chain. This is against the normal practice of memory
allocation from low memory upwards. The benefit is that buffers
are easily released and reallocated without leaving holes in the
memory chain. This method may fail where badly written programs
incorrectly make the assumption that all memory from their base
segment up to the end of system RAM is available for use.

LOW     Normal DOS memory allocated from the first free area and up.
Subsequent buffer releases and reallocations may cause holes to
appear in the allocation chain, especially where other TSR
programs are loaded after SCREEN Thief. This allocation method
is only recommended where HIGH fails due to errant programs
overwriting memory space not allocated to them.

No provision is made for use of the HMA (High Memory Area). It
is assumed that the DOS kernel will be loaded HIGH here and
SCREEN Thief ignores this area even if free. Note that SCREEN
Thief cannot as yet split its buffers between different areas,
nor can it split its buffers between non-contiguous blocks in
the same area.

Once successfully loaded, SCREEN Thief will always re-use the
same buffer areas should the control buffers need to be
discarded and reloaded, unless overruled by the /B switch. This
can result in the buffers being discarded and not reloaded under
two circumstances: the new buffer size requirement no longer
fits the previously used memory area, or the new buffer area
given through the /B switch is fully used. In this case SCREEN
Thief will discard its previous control buffers but fail to load
the new configuration. Any attempt to capture a screen will
immediately fail, with the error "Control Buffers Absent". You
should rerun SCREEN Thief with a different and valid /B switch.

/COREDUMP

Syntax:         /COREDUMP[+|-]

The Core Dump facility is provided for post-mortem debugging of
SCREEN Thief problems or incompatibilities. If a screen cannot be
successfully captured, either because the output image is corrupt,
does not represent the actual screen displayed or because SCREEN
Thief refuses to capture a screen for any reason, the Core Dump can
be enabled and a second attempt made at capturing the same screen.
Any output image file and the generated core dump debug file can be
analysed by Nildram Software and a solution sought.

The generated file is of a binary type and unsuitable for diagnostic
purposes of the user. The file is always named COREDUMP.ST and saved
in the same directory specified for the image file. Normally you can
ignore this unless requested by Nildram Software Technical Support.

/EGAFONTS

Syntax:         /EGAFONTS[+|-]

This switch enables and disables the EGA Fonts feature. Use /E
on its own or /E+ to enable, /E- to disable. The default setting
is disabled or OFF.

This instructs SCREEN Thief to ignore font data when text mode
screens are grabbed. Instead the standard EGA 8x14 font is used
for image creation. This feature is suited mostly to 80 column
by 25 row screens (standard DOS text mode) where the output
image is to be redisplayed as part of an animation or tutorial.
Normally SCREEN Thief will create a 720x400 pixel image because
of the 9x16 VGA font. This is unsuitable for playback in
standard graphic modes. The EGA Fonts option will produce images
at 640x350 pixel resolution, which can be redisplayed in the
EGA/VGA's standard mode 10h.

Note that this feature overrules any soft fonts loaded into the
VGA adapter. Programs which use advanced VGA features such as
Split Screens and Pixel Panning will probably result in corrupt
screens when the EGA Fonts option is in use.

/INTERRUPT

Syntax:         /INTERRUPT:hex

This switch selects the base interrupt vector. It takes a
hexadecimal number in the range 78h through to E0h. The default
is D8h. SCREEN Thief requires a consecutive run of eight unused
interrupt vectors, and it is essential that those chosen do not
conflict with other software packages or hardware devices. The
allowed range is deliberately limited to avoid those vectors
always or likely to be used in all PC installations.

Normally you will not come across conflicts unless specialist
hardware is being used. Software packages rarely use interrupts
in this region, and if they do they should have the fact
documented and the ability to change as required to avoid
conflicts. If you ever suffer from system crashes or hardware
lock-ups, suspect this base interrupt value first. If in any
doubt try booting your PC from minimal system floppy disk, and
perhaps removing or disabling any expansion cards suspected of
being in conflict.

Note that the /INTERRUPT switch is only concerned with initial
installation. Any further use of this switch is considered an
error. If you wish to change the interrupt base, /UNLOAD SCREEN
Thief and re-install with the new interrupt base value.

/KEY

Syntax:         /KEY:[char|hex|string]

This switch selects the character, function or other key used in
combination with the shift keys (selected with the /SHIFTS
switch) which make up the screen capture hot-key. It accepts
single character values for the alphanumeric keys found on the
standard QWERTY keyboard layout, string values covering the
twelve possible function keys and hexadecimal values for any
remaining keys and non-QWERTY keyboard types (refer to the
Keyboard Scan Codes section elsewhere).

/KEY:char       Single characters in the range A through Z and 0
through 9. The default is set as T.

/KEY:str        The function key names F1 through F12 only.

/KEY:hex        A two digit hexadecimal number which is a valid PC
keyboard scancode, other than 1D, 2A, 36 and 38 which are the
codes for the four shift keys. A program, "SCANCODE.COM" is
provided which will tell you the scan code for each key on your
keyboard. Simply run SCANCODE and then press the key you
require. When you have finished, you should press <ENTER> twice
to exit SCANCODE.

Upper or lower case characters can be used.

/LZW

Syntax:         /LZW:number

This switch selects the size of code look-up table needed by the
LZW data compression routine as used at present only within the
GIF Output Image format. It accepts a single character numeric
value in the range 1 through 8, where 1 is the smallest and 8 is
the largest and maximum size of table.

This switch affects the SCREEN Thief memory requirements, speed
at which the GIF image is saved to disk and the size of the
final image file. A value of 1 allocates a small table which
uses little memory, is quickly filled and often cleared for
reuse. Image file size is at its largest, often by a factor of
four or five. Progressively larger values up to the maximum of 8
increase memory requirements and the time taken to generate the
image file, but the resultant file size is much reduced. The
default value is 4.

/MONO

Syntax:         /MONO[+|-]

This switch enables and disables Mono Translation. Use /M on its
own or /M+ to enable, /M- to disable. The default is disabled or
OFF.

When enabled SCREEN Thief ignores all attribute information
within text mode. Output is in two colour, black on white
(although the image written to file may be in 4- or 16-colour
format, using just the colours white and black). Black pixels
are those where the font data bits are set. White pixels are
those where the font data bits are cleared (zero). This is the
opposite of any displayed image (regardless of colour content)
where the assumption is white on black.

This feature is specifically designed to capture screens for use
in single colour printing, such as manuals and user guides,
where four or spot colour printing is not available or desired.
Note that at present no account is taken of any inverse
attributes.

/NUMERIC

Syntax:         /NUMERIC[+|-]

This switch enables and disables Numeric Output File Naming. Use
/N on its own or /N+ to enable, /N- to disable. The default is
disabled or OFF.

Normally the output image file name is constructed from two
parts. SCREEN Thief attempts to extract the executable file name
from the underlying application, using at most six characters
from this name. To this is appended a consecutive number from 01
through 99.

Enabling the Numeric Output dispenses with the executable file
name part and generates files from 00000001 and up. The
extension used always depends on the output image format (GIF,
PCX etc).

/OUTPUT

Syntax:         /OUTPUT:string

This switch selects the output image format encoder to be used
for all screen capture. It takes a string value which names the
format. Currently supported formats are GIF, PCX, TIFF and BMP.

GIF     CompuServe GIF format is the most recommended. This standard
has changed little over time and produces the fewest
compatibility problems. All major paint, DTP and image
conversion programs can use this image format successfully. GIF
files incorporate data compression for maximum efficiency. Use
the /LZW switch to modify the size of the look-up table used by
the compressor.

PCX     ZSoft PCX format is the least recommended. Compatibility
problems may sometimes be experienced between applications where
one will accept a file and another reject it. For this reason
SCREEN Thief does not implement 4-colour PCX format, only
2-colour monochrome, 16-colour and 256-colour. 4-colour screens
will always be promoted to 16-colour image files. Problems may
also be experienced with older software which does not support
the 256-colour format. It is also known that SCREEN Thief
generated 2- and 16-colour images can be interpreted as
256-colour because of the colour palette information. PCX format
incorporates RLE (Run Length Encoding) image compression as
standard. This is not affected by the /LZW switch.

TIFF    Aldus TIFF format is currently supported as an alternative
to the preferred GIF format. SCREEN Thief produces TIFF files
using just a small number of the documented tag entries and
should be usable by all TIFF aware applications. Although it
supports several data compression techniques, SCREEN Thief
currently generates only the most compatible 24-bit uncompressed
'TrueColor' images whatever the colour content of the captured
screen. Consequently the image files can be large, although
these can be subsequently compressed using a suitable archiving
tool.

BMP     The Windows BMP format is supported as this is a well
defined and increasingly popular format. SCREEN Thief always
generates Device Independent Bitmap (DIB) output as used by
Windows 3.0 and higher. RLE encoding is not yet supported for
this format. As the BMP type does not support 4-colour images
these are automatically promoted to their equivalent 16-colour
images, although the majority of BMP file viewers and tools will
report these as being only 4-colour.

/REGISTER

Syntax:         /REGISTER

This switch is relevant to the TEST DRIVE version of SCREEN
Thief only. When used a registration info screen is displayed.
You also have the option to print out a registration form for
completion and signing, to be accompanied with the registration
payment.

Note that any other command line switches or parameters will be
ignored if this switch is present (although if syntax errors are
encountered in any of the parameters preceding the /REGISTER
switch, an error message will be displayed and the help system
will probably appear). No configuration changes will be made to
a currently installed copy of SCREEN Thief, nor will SCREEN
Thief install itself in memory if not yet present.

/SHIFTS

Syntax:         /SHIFTS:string

This switch selects the shift keys used in combination with the
character key (selected with the /KEY switch) which make up the
screen capture hot-key. It accepts up to four character values
which represent the following shift keys:

A = <ALT>
C = <CTRL>
L = <LEFT SHIFT>
R = <RIGHT SHIFT>

Characters can be either upper or lower case. The default is AC
for <ALT><CTRL>. This switch will optionally accept the two
string values OFF and NONE, leaving the shift keys out of the
hot-key combination. This is useful for capturing screens from
the likes of games where the <ALT>, <SHIFT> and <CTRL> keys are
used for program features such as firing and jumping. Use:

/SHIFTS:NONE  or  /SHIFTS:OFF

Be careful with this feature. It is possible to set the hot-key
as a single alphabetic character, affecting command line entry
to the point where you can't run ST for a new /SHIFTS value.

/UNLOAD

Syntax:         /UNLOAD

This switch removes SCREEN Thief from memory and releases any
memory resources used by it. This is only possible if the
interrupt vectors used by SCREEN Thief still point to its
resident code. Normally this will be where SCREEN Thief was the
last TSR program loaded.

SCREEN Thief is fully compliant with AMIS 3.4 (Alternate
Multiplex Interrupt Specification). Any TSRs supporting the same
specification are capable of being removed from memory whatever
the loading order, on condition that non-compliant TSRs do not
break the loading chain.

Note that any other command line switches or parameters will be
ignored if this switch is present, although if syntax errors are
encountered in any of the parameters preceding the /UNLOAD
switch, an error message will be displayed and the help system
will probably appear.

Users are advised NOT to use TSR release programs such as MARK
and RELEASE. Only SCREEN Thief can remove itself from memory
correctly.

/VIDEO

Syntax:         /VIDEO:string

This switch overrides the normal SuperVGA detection routines. If
SCREEN Thief fails to detect one of the supported SVGA chip sets
and you know your video card uses one, you may force SCREEN
Thief to load the required driver. It is also of use where the
automatic detection routines adversely affect an unrecognised
chip set due to the register-level accesses it makes. In this
case you can force SCREEN Thief to load the Standard VGA driver.

The switch accepts a string value naming a particular chip set.
At present no distinction is made between members of a
particular family of SVGA chips. Future versions may require the
individual chip set name and number. The following chip sets are
currently supported:

VGA     The standard IBM register-level compatible VGA card. This
driver is fully tested and should be capable of determining
and capturing any video mode programmed into the VGA card, even
the non-standard modes. It will also suffice for the majority of
SVGA cards equipped with just 256K of video RAM. Even 800 by 600
16-colour mode should be captured successfully.

TRIDENT The TRIDENT chip is popular and found on many SVGA
cards, even those manufactured under other names. The most
common chip versions are TVGA8900B, TVGA8900C and TVGA9000. This
SCREEN Thief driver is fully tested under all these versions and
should detect and work with any remaining versions compatible
with the 8900/9000. The only problem that may be encountered is
with the older, and now rare, TVGA8800 chip - particularly the
8800BR variant.

PARADISEThe SCREEN Thief PARADISE/Western Digital driver is
fully tested for use with the PVGA1A chip set. It may work
successfully with the later WD90C00 chip (also known as the
PVGA1B), WD90C10 and WD90C11. It has not been tested with the
older and bugged PVGA1 chip.

/WIDTH

Syntax:         /WIDTH:number

This switch determines the space allocated for screen image scan
line buffering and encoding. It takes a numeric value in the
range 720 through 4096. The default is 1188 pixels, sufficient
for 1024 pixel wide graphics modes and 132-column text modes at
nine pixels per character cell.

Reducing the maximum scan line width will have a slight effect
on the overall memory requirements of SCREEN Thief, although
capturing the higher resolution screens may fail. This switch is
mainly provided in order to support modes with a greater pixel
resolution than the assumed default maximum. Normally you will
not need to use this switch.

/?

This switch invokes the SCREEN Thief Help System. Note that any
other command line switches or parameters will be ignored if
this switch is present (although if syntax errors are
encountered in any of the parameters preceding the /? switch,
an error message will be displayed and the help system will
probably appear anyway). No configuration changes will be made
to a currently installed copy of SCREEN Thief, nor will SCREEN
Thief install itself in memory if not yet present.


